xcb_dri3_pixmap_from_buffers(3)

NAME
xcb_dri3_pixmap_from_buffers -

SYNOPSIS
#include <xcb/dri3.h>

  Request function

xcb_void_cookie_t xcb_dri3_pixmap_from_buffers(xcb_connection_t *conn, xcb_pixmap_t pixmap, xcb_window_t window, uint8_t num_buffers, uint16_t width, uint16_t height, uint32_t stride0, uint32_t offset0, uint32_t stride1, uint32_t offset1, uint32_t stride2, uint32_t offset2, uint32_t stride3, uint32_t offset3, uint8_t depth, uint8_t bpp, uint64_t modifier, const int32_t *buffers);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

pixmap
    TODO: NOT YET DOCUMENTED.

window
    TODO: NOT YET DOCUMENTED.

num_buffers
    TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

stride0
    TODO: NOT YET DOCUMENTED.

offset0
    TODO: NOT YET DOCUMENTED.

stride1
    TODO: NOT YET DOCUMENTED.

offset1
    TODO: NOT YET DOCUMENTED.

stride2
    TODO: NOT YET DOCUMENTED.

offset2
    TODO: NOT YET DOCUMENTED.

stride3
    TODO: NOT YET DOCUMENTED.

offset3
    TODO: NOT YET DOCUMENTED.

depth
    TODO: NOT YET DOCUMENTED.

bpp TODO: NOT YET DOCUMENTED.

modifier
    TODO: NOT YET DOCUMENTED.

buffers
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_dri3_pixmap_from_buffers_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dri3.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.